## CreateEnvironmentAccessToken **post** `/gitpod.v1.EnvironmentService/CreateEnvironmentAccessToken` Creates an access token for the environment. Generated tokens are valid for one hour and provide environment-specific access permissions. The token is scoped to a specific environment. ### Examples - Generate environment token: Creates a temporary access token for accessing an environment. ```yaml environmentId: "07e03a28-65a5-4d98-b532-8ea67b188048" ``` ### Body Parameters - `environmentId: string` environment_id specifies the environment for which the access token should be created. ### Returns - `accessToken: string` access_token is the token that can be used for environment authentication ### Example ```http curl https://app.gitpod.io/api/gitpod.v1.EnvironmentService/CreateEnvironmentAccessToken \ -H 'Content-Type: application/json' \ -H "Authorization: Bearer $GITPOD_API_KEY" \ -d '{ "environmentId": "07e03a28-65a5-4d98-b532-8ea67b188048" }' ``` #### Response ```json { "accessToken": "accessToken" } ```